> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/skin-type-algorithm.md).

# Skin type Algorithm

What the Skin type Algorithm determines, the classes it returns, and why a reading can change over the course of a day.

## About Algorithm

{% hint style="warning" %}
**Disclaimer about natural skin behaviour that might affect results Stability and Reproducibility:**

Skin Type is a skin health parameter, that normally is not subject to vary on a scale of months. However, natural skin’s sebum production and moisture levels may fluctuate during the day, and it may result in a change of detected Skin Type.

For more precise measurement, we recommend prompting your users to take several pictures within one day and aggregate results to exclude such variations.
{% endhint %}

1. This Algorithm estimates the skin type class of the facial skin. Skin Type of skin is a complex state of the skin that is determined by the functional properties of the skin. Skin type is crucial for the recommendations of skin care products that would be beneficial for precise skin characteristic.
2. This Algorithm estimates indicated skin health parameters on: the T-zone of the face (forehead with the upper part of the nose) and the U-zone of the face (right cheek, left cheek, and chin areas combined). The nose area is not used for evaluation.
3. The Main Metric for this algorithm is the Skin Type class:
   1. Skin Type class has 4 possible values: "**oily"**, "**normal"**, "**dry"**, and "**combination".**
   2. These values are based on the market-based classification of skin types. This classification is subjectively functional, based on the client's sensations about the skin's function (amount of sebum secretion, dryness, tendency to certain types of diseases, etc.).
   3. "**combination"** value is returned for face skin when U-zone and T-zone submetrics are different.
4. There are two submetrics for this algorithm:
   1. U-zone: one of 3 classes - oily, normal, and dry;
   2. T-zones: one of 3 classes - oily, normal, and dry.

***

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Skin type Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/skin-type-result-scheme.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/skin-type-algorithm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
